jv.loader

## Class PgByuLoader

- java.lang.Object
- - jv.loader.PgAbstractLoader
  - - jv.loader.PgByuLoader

- All Implemented Interfaces:
    PgLoaderIf

      public final class PgByuLoader
      extends PgAbstractLoader

  Loader for geometry files in the Brigham Young University's MOVIE.BYU file format.
  Author:
    Konrad Polthier
  Version:
    22.03.10, 2.00 revised (kp) Superclass changed to PgAbstractLoader.
    18.07.06, 1.95 revised (kp) Recognition of formatting simplified.
    15.02.04, 1.90 revised (kp) Export of 2D geometries improved.
    06.10.03, 1.85 revised (kp) Interface extended by isEnabledOptimization().
    19.04.03, 1.80 revised (kp) Interface extended by setGeometryOption().
    21.08.02, 1.70 revised (kp) New methods getGeometries/getAnimations of PgLoaderIf implemented.
    23.09.01, 1.60 revised (kp) Implement PgLoaderIf extended with methods for display options.
    08.11.00, 1.50 revised (kp) Number formatting methods moved to jv.number.PuString.
    06.08.99, 1.10 revised (kp) InputStream replaced with BufferedReader.
    00.00.98, 1.00 created (kp)

- - ### Field Summary

    - ### Fields inherited from interface jv.loader.PgLoaderIf

      `GEOM_DATA_AUTHOR, GEOM_DATA_COLORS, GEOM_DATA_HEADER, GEOM_DATA_INFO, GEOM_DATA_NORMALS, GEOM_DATA_TEXTURE, GEOM_DATA_VECTORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgByuLoader()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PgJvxSrc[]` | `read(java.io.BufferedReader in)` Read geometry file in the Brigham Young University's MOVIE.BYU file format.
    `static PgJvxSrc[]` | `read(java.lang.String fileName)` Read geometry file in the Brigham Young University's MOVIE.BYU file format.
    `boolean` | `write(java.io.Writer writer, PgJvxSrc[] geomArr)` Write an array of geometries into an output stream writer.

    - ### Methods inherited from class jv.loader.PgAbstractLoader

      `getAnimations, getDisplayOption, getGeometries, getSpecializedGeometries, isAnimation, isEnabledOptimization, load, read, setAnimation, setDisplayOption, setGeometryOption, write`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PgByuLoader

          public PgByuLoader()

  - ### Method Detail

    - #### read

          public static PgJvxSrc[] read(java.lang.String fileName)

      Read geometry file in the Brigham Young University's MOVIE.BYU file format.
      Author:
        Konrad Polthier
      Version:
        20.02.01, 2.50 revised (kp) Method body moved to read(BufferedReader).
        04.03.00, 2.00 revised (kp) Argument geometry removed, just fill private arrays.
        06.08.99, 1.10 revised (kp) InputStream replaced with BufferedReader.
        25.11.97, 1.00 created (kp)

    - #### read

          public PgJvxSrc[] read(java.io.BufferedReader in)

      Read geometry file in the Brigham Young University's MOVIE.BYU file format.

      The returned array of geometry may contain keyframes of an animation. This is checked with the method `isAnimation()`.

      Alternatively, one may call load(BuffereredReader) followed by getGeometries() resp. getAnimations() to have a finer control about which information one wants to use from a source. For example, optional display information must be retrieve by a subsequent call getDisplayOption() if available.

      Specified by:
        `read` in interface `PgLoaderIf`
      Overrides:
        `read` in class `PgAbstractLoader`
      Parameters:
        `in` - BufferedReader to read textual data from.
      Returns:
        Array of JVX geometries.
      See Also:
        `write(Writer, PgJvxSrc [])`
      Author:
        Konrad Polthier
      Version:
        20.02.01, 1.00 revised (kp)
        20.02.01, 1.00 created (kp) Method body from former version read(String fileName).

    - #### write

          public boolean write(java.io.Writer writer,
                               PgJvxSrc[] geomArr)
                        throws java.io.IOException

      Write an array of geometries into an output stream writer.
      Specified by:
        `write` in interface `PgLoaderIf`
      Overrides:
        `write` in class `PgAbstractLoader`
      Parameters:
        `writer` - Write all data to this stream
        `geomArr` - Array with geometries to save
      Returns:
        `true` on success.
      Throws:
        `java.io.IOException`
      See Also:
        `read(BufferedReader)`
      Version:
        14.02.04, 2.00 revised (kp) Store exactly 3 coordinates per vertex independent of dimOfVertices.
        10.06.01, 1.00 created (kp)

"

The software JavaView? is copyright protected. All Rights Reserved.
"